macroScript XExporter

	category:"MAX Script Tools"
	tooltip:"X-File Exporter"
	buttontext:"X-Out"
(
	undo on
	(
		for obj in $* do
		(
			if ( obj.parent == undefined ) do
			(
				-- From MAX To DirectX CoordSys
				xrot = eulerangles -90 0 0
				zrot = eulerangles 0 0 180	
				in coordsys world rotate obj zrot
				in coordsys world rotate obj xrot 
			)
		)
	)
	
	redrawViews
	
	exportPath = getSavePath caption:"Export to"
	--exportpath = "C:\\SecretOps\\SecretOps\\Game\\content\\Art\\3dObj\\meshes\\vehicles"
	if exportPath != undefined do 
	(
		filename = (exportPath + "\\" + (getFileNameFile maxFileName) + ".x")
		print filename
		exportFile filename #noPrompt
	)

	max undo
) 